Package com.complexible.common.rdf.rio

# Class RDFStreamBuilder

java.lang.Object
com.complexible.common.rdf.rio.RDFStreamBuilder

public final class RDFStreamBuilder extends Object

Since:
  2.0
Version:
  6.0
Author:
  Evren Sirin

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<RDFStream>`
  `build()`
  `RDFStreamBuilder`
  `config(Options theConfig)`
  `RDFStreamBuilder`
  `context(Resource theContext)`
  `RDFStreamBuilder`
  `contexts(Function<Path,Resource> theContexts)`
  `RDFStreamBuilder`
  `format(RDFFormat theFormat)`
  `RDFStreamBuilder`
  `ignoreFileErrors(boolean theIgnoreFileErrors)`
  `void`
  `parse(RDFHandler theHandler)`
  Parses all the streams with the given handler.
  `<T extends Collection<Statement>>
  T`
  `parseInto(T theCollection)`
  Parses the contents of all the streams into the given collection.
  `RDFStreamBuilder`
  `reporter(PrintStream theReporter)`
  `RDFStreamBuilder`
  `setCancellationPoint(CancellationPoint theCancellationPoint)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### format

    public RDFStreamBuilder format(RDFFormat theFormat)

  - ### config

    public RDFStreamBuilder config(Options theConfig)

  - ### context

    public RDFStreamBuilder context(Resource theContext)

  - ### contexts

    public RDFStreamBuilder contexts(Function<Path,Resource> theContexts)

  - ### reporter

    public RDFStreamBuilder reporter(PrintStream theReporter)

  - ### ignoreFileErrors

    public RDFStreamBuilder ignoreFileErrors(boolean theIgnoreFileErrors)

  - ### setCancellationPoint

    public RDFStreamBuilder setCancellationPoint(CancellationPoint theCancellationPoint)

  - ### parse

    public void parse(RDFHandler theHandler) throws InvalidRDF, RDFHandlerException, IOException
    Parses all the streams with the given handler.
    Throws:
      `InvalidRDF`
      `RDFHandlerException`
      `IOException`

  - ### parseInto

    public <T extends Collection<Statement>> T parseInto(T theCollection) throws InvalidRDF, RDFHandlerException, IOException
    Parses the contents of all the streams into the given collection.
    Throws:
      `InvalidRDF`
      `RDFHandlerException`
      `IOException`

  - ### build

    public List<RDFStream> build()